Subject: bug#35145: additional fields like for comments by gzip

From: Paul Eggert <[email-masked]>
Date: Sun, 7 Apr 2019 21:52:00 -0700

Jörg Jenderek wrote:

> normally files compressed with gzip have filename extension "gz" and
> mime type "application/gzip". When compressing tar archives often
> these get file name extension "tgz".
> The VirtualBox Extension Packs seems to be also gzipped tar archives.
> But these get their own file name extension "vbox-extpack" and mime
> type "application/x-virtualbox-vbox-extpack" at least for
> VirtualBox 6.0.4 on Windows systems.
> I am trying to refine definitions for file identifying utilies TrID
> ( http://mark0.net/soft-trid-e.html) and file (
> ftp://ftp.astron.com/pub/file ). Such utilities simply use some
> characteristics byte patterns to identify file types. As far as i can
> see, it is not possible at the moment for both utilities to
> distinguish gzipped tar files from VirtualBox extension packages. If
> the gzipped file would contain a comment field or other extra field,
> it would be possible to distinguish such different file types.

OK, I see; you're trying to improve TrID etc., since they're not smart enough to 
uncompress the file to figure out its file type. However, can't these utilities 
use file name extensions? If so, I suggest using some extension like ".vep" for 
VirtualBox Extension Packs, as that won't require changing gzip and other 
programs that accept and consume gzip files.